commit:     3490e6d90ee32885b913635332eba9f8ba84fdef
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 26 17:39:49 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 18:29:57 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3490e6d9

app-emacs/markdown-mode: bump to 2.7

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/markdown-mode/Manifest                   |  1 +
 .../files/markdown-mode-2.7-test.patch             | 13 +++++
 app-emacs/markdown-mode/markdown-mode-2.7.ebuild   | 57 ++++++++++++++++++++++
 3 files changed, 71 insertions(+)

diff --git a/app-emacs/markdown-mode/Manifest b/app-emacs/markdown-mode/Manifest
index ceeb193b9d34..ec0fd733ebb2 100644
--- a/app-emacs/markdown-mode/Manifest
+++ b/app-emacs/markdown-mode/Manifest
@@ -1 +1,2 @@
 DIST markdown-mode-2.6.tar.gz 222181 BLAKE2B 
173ba3e152bc4fa45548833bbf87e4e00a56fa2150874b8c3ef395e8364cabeebbe7ab1e582dd55bd531b2a130191b3e79db410b126b6edc8f0573f742b47a33
 SHA512 
fbfb7a98bb0c562d501d6b1c40987751233ccf386864db43296e02bcaf7d2b8c8d634f1411b91662947e90f33466728101ec0018d2abf46df936f7b19a79b371
+DIST markdown-mode-2.7.gh.tar.gz 229464 BLAKE2B 
df4894fcf65649b9e7cf671f36b9724f8d754530d6398812e1b547ea3c583a48826656c723d17ec651a561a85a45308105cae18fbec127c4b7710964202b994e
 SHA512 
744174a81240e3c6a4d92a94928cce7070f63c86805639bbb8f1b0a29b33ca3d079ac5956c30d280db95228b73a4c6044b276e0376b407128054fd7fa997919f

diff --git a/app-emacs/markdown-mode/files/markdown-mode-2.7-test.patch 
b/app-emacs/markdown-mode/files/markdown-mode-2.7-test.patch
new file mode 100644
index 000000000000..a3699fbd3499
--- /dev/null
+++ b/app-emacs/markdown-mode/files/markdown-mode-2.7-test.patch
@@ -0,0 +1,13 @@
+This test seems to expect interactive input, therefore disable.
+
+--- a/tests/markdown-test.el
++++ b/tests/markdown-test.el
+@@ -7102,7 +7102,7 @@ Detail: 
https://github.com/jrblevin/markdown-mode/pull/590";
+             (should (string= (markdown-wiki-link-link) "Zettel Markdown")))
+         (kill-buffer)))))
+ 
+-(ert-deftest test-markdown-ext/wiki-link-search-under-project ()
++(defun --test-markdown-ext/wiki-link-search-under-project ()
+   "Test that searching link under project root."
+   (let ((markdown-enable-wiki-links t)
+         (markdown-link-space-sub-char " ")

diff --git a/app-emacs/markdown-mode/markdown-mode-2.7.ebuild 
b/app-emacs/markdown-mode/markdown-mode-2.7.ebuild
new file mode 100644
index 000000000000..6201b34f02cf
--- /dev/null
+++ b/app-emacs/markdown-mode/markdown-mode-2.7.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp optfeature
+
+DESCRIPTION="Major mode for editing Markdown-formatted text files"
+HOMEPAGE="https://jblevins.org/projects/markdown-mode/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/jrblevin/${PN}";
+else
+       SRC_URI="https://github.com/jrblevin/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+       KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       || (
+               dev-python/markdown2
+               dev-python/markdown
+               virtual/pandoc
+       )
+"
+BDEPEND="
+       test? (
+               virtual/pandoc
+               || (
+                       app-text/aspell[l10n_en]
+                       app-text/hunspell[l10n_en]
+               )
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/markdown-mode-2.5-markdown-command.patch"
+       "${FILESDIR}/markdown-mode-2.6-remove-failing-tests.patch"
+       "${FILESDIR}/markdown-mode-2.7-test.patch"
+)
+
+DOCS=( CHANGES.md CONTRIBUTING.md README.md )
+SITEFILE="50${PN}-gentoo.el"
+
+pkg_postinst() {
+       elisp_pkg_postinst
+
+       optfeature "editing Markdown source code blocks" app-emacs/edit-indirect
+}

Reply via email to